org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcMetaColumnsResultV4

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcMetaColumnsResult
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcMetaColumnsResultV4

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcMetaColumnsResultV4
    extends JdbcMetaColumnsResult

JDBC columns metadata result.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected JdbcColumnMeta` `createMetaColumn()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcMetaColumnsResult

`meta, readBinary, writeBinary`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createMetaColumn

    protected JdbcColumnMeta createMetaColumn()

Overrides:
  `createMetaColumn` in class `JdbcMetaColumnsResult`
Returns:
  Empty columns metadata to deserialization.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcMetaColumnsResult`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021